# Version 1

<mark style="color:green;">`POST`</mark> `https://okaydocdemo.innov8tif.com/ekyc/api/ekyc/v1/doc-verify/sg-id-card-back`

#### Request Body

| Name               | Type   | Description                                                                                                             |
| ------------------ | ------ | ----------------------------------------------------------------------------------------------------------------------- |
| caseNo             | string | Reference code given by user                                                                                            |
| apiKey             | string | To be assigned by Innov8tif                                                                                             |
| idImageBase64Image | string | Back id card image in base64                                                                                            |
| idNumber           | string | Id card number as shown on id card. If this value is provided, higher chance of getting higher score for font checking. |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    "status": "success",
    "messageCode": "api.success",
    "message": "",
    "id": "d6f9de42-a351-4ef7-b0a8-bff5197ce95a",
    "methodList": [
        {
            "method": "landmark",
            "label": "Landmark Analysis Result",
            "componentList": [
                {
                    "code": "l-sg-idb-tp",
                    "label": "Thumbprint",
                    "value": "46.884700655937195",
                    "imageUrl": "/public/image/v2/d6f9de42-a351-4ef7-b0a8-bff5197ce95a?type=l-sg-idb-tp",
                    "refImageUrl": null
                },
                {
                    "code": "l-sg-idb-barcode",
                    "label": "Barcode",
                    "value": "51.87006592750549",
                    "imageUrl": "/public/image/v2/d6f9de42-a351-4ef7-b0a8-bff5197ce95a?type=l-sg-idb-barcode",
                    "refImageUrl": null
                },
                {
                    "code": "l-sg-idb-logo",
                    "label": "Logo",
                    "value": "33.35488736629486",
                    "imageUrl": "/public/image/v2/d6f9de42-a351-4ef7-b0a8-bff5197ce95a?type=l-sg-idb-logo",
                    "refImageUrl": null
                }
            ]
        }
    ],
    "outputImageList": null
}
```

{% endtab %}
{% endtabs %}

### Input Example

```
{
    "apiKey": "apiKey",
    "caseNo": "CASE 123",
    "idImageBase64Image": "xxxxxxxxxxxxxx",
    "idNumber": "820403-05-1111"
}
```

{% file src="/files/-LuovBpcm4-1\_VFe\_mcY" %}
OkayDoc ID Card Back
{% endfile %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/okaydoc/singapore/sg-id-card-back/version-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
